import { world, ItemStack } from "@minecraft/server";

world.afterEvents.playerBreakBlock.subscribe((event) => {
    const player = event.player;
    const equipment = player.getComponent('equippable');
    const mainhandItem = equipment.getEquipment('Mainhand');

    // Проверяем, что в руке нужный предмет
    if (mainhandItem?.typeId === 'ikea:fire_axe') {
        const newItem = new ItemStack('ikea:fire_axe', 1);

        // Уменьшаем прочность на 1
        const currentDamage = mainhandItem.getComponent('minecraft:durability').damage;
        newItem.getComponent('minecraft:durability').damage = currentDamage + 1;

        // Если прочность закончилась - воспроизводим эффект поломки
        if (currentDamage + 1 >= newItem.getComponent('minecraft:durability').maxDurability) {
            player.playAnimation('animation.player.attack.destroy');
            player.playSound('random.break');
        }

        // Заменяем предмет в руке
        equipment.setEquipment('Mainhand', newItem);
    }
});