import { world } from "@minecraft/server";

const ticks_per_second = 20;

import "./tv_script_on";
import "./tv_sctript_off";
import "./computer_on_script";
import "./computer_off_script";
import "./industrial_lamp_script_on";
import "./industrial_lamp_script_off";
import "./cola_drawer_on";
import "./cola_drawer_off";
import "./drawer_on";
import "./drawer_off";
import "./bob_drawer_on";
import "./bob_drawer_off";
import "./bob_open_drawer_on";
import "./bob_open_drawer_off";
import "./cafeteria_table_on";
import "./cafeteria_table_off";
import "./fruit_plate_script";
import "./hot_dogs_script";
import "./pizza_box_1";
import "./pizza_box_2";
import "./pizza_box_3";
import "./pizza_box_4";
import "./big_tv_on";
import "./big_tv_off";
import "./ticking_area";
import "./tip_script";
import "./crowbar_system";
import "./axe_system";
import "./machete_system";


world.beforeEvents.worldInitialize.subscribe(event => {
    event.itemComponentRegistry.registerCustomComponent('chocolate:trigger', {
        onUse(e) {
            e.source.runCommand("function chocolate");
        }
    });
    event.itemComponentRegistry.registerCustomComponent('dr_bob:trigger', {
        onConsume(e) {
            if (e.source) {
                e.source.removeEffect("wither");

                e.source.addEffect("regeneration", 8 * ticks_per_second, { amplifier: 0 });
                if (e.source) {
                    e.source.runCommand(`function dr_bob`);
                } else {
                    console.error("Source entity is null or undefined.");
                }

            }
        }
    });
    event.itemComponentRegistry.registerCustomComponent('bloxy_cola:trigger', {
        onConsume(e) {
            if (e.source) {
                e.source.removeEffect("wither");

                e.source.addEffect("regeneration", 2 * ticks_per_second, { amplifier: 0 });
                if (e.source) {
                    e.source.runCommand(`function bloxy_cola`);
                } else {
                    console.error("Source entity is null or undefined.");
                }

            }
        }
    });
    event.itemComponentRegistry.registerCustomComponent('dr_bob_jar:trigger', {
        onConsume(e) {
            if (e.source) {
                e.source.removeEffect("wither");

                e.source.addEffect("regeneration", 4 * ticks_per_second, { amplifier: 0 });
                if (e.source) {
                    e.source.runCommand(`function dr_bob_jar`);
                } else {
                    console.error("Source entity is null or undefined.");
                }

            }
        }
    });
    event.itemComponentRegistry.registerCustomComponent('water_bottle:trigger', {
        onConsume(e) {
            if (e.source) {
                e.source.removeEffect("wither");

                e.source.addEffect("regeneration", 3 * ticks_per_second, { amplifier: 0 });
                if (e.source) {
                    e.source.runCommand(`function water_bottle`);
                } else {
                    console.error("Source entity is null or undefined.");
                }

            }
        }
    });
    event.itemComponentRegistry.registerCustomComponent('ice_cream:trigger', {
        onUse(e) {
            e.source.runCommand("function ice_cream");
        }
    });
    event.itemComponentRegistry.registerCustomComponent('ice_cream_true:trigger', {
        onConsume(e) {
            if (e.source) {
                e.source.removeEffect("wither");

                e.source.addEffect("regeneration", 5 * ticks_per_second, { amplifier: 0 });
                if (e.source) {
                    e.source.runCommand(`function ice_cream_true`);
                } else {
                    console.error("Source entity is null or undefined.");
                }

            }
        }
    });
    event.itemComponentRegistry.registerCustomComponent('crackers:trigger', {
        onUse(e) {
            e.source.runCommand("function crackers");
        }
    });
    event.itemComponentRegistry.registerCustomComponent('aid_kit:trigger', {
        onUse(e) {
            e.source.runCommand("function aid_kit");
        }
    });
});

