import { world, system, Player } from "@minecraft/server";

const TICKS_PER_SECOND = 20;

// Список подсказок
const TIPS = [
     "There's something under the store",
    "The food in cafeteria is updated daily",
    "Employees appear only at night",
    "There is something on the ceiling of this store...",
    "Warehouses in the trading hall are a good option for a base",
    "Some columns in the store may lead you somewhere...",
    "You can find a crowbar in the warehouses. You may need it for something",
    "Click on the cafeteria's kitchen drawer to open it",
    "You can make yourself a shelter out of furniture",
    "You can use a crowbar to open iron crates.",
    "Beware of Hubert",
    "Use a machete to break the boards that block the entrance to the basement",
    "Fighting with workers is a bad idea",
    "Subscribe to our social networks: YouTube - Friday?Ok!, Telegram - MrFridayTg, Discord - Hope attic"
];

// Диапазон времени между подсказками (в тиках: 20 тиков = 1 секунда)
const MIN_DELAY = 1200;  // 1 минута
const MAX_DELAY = 7200;  // 6 минут

let nextTipTime = 0;

function scheduleNextTip() {
    // Устанавливаем случайное время для следующей подсказки
    nextTipTime = system.currentTick +
        Math.floor(Math.random() * (MAX_DELAY - MIN_DELAY + 1)) + MIN_DELAY;
}

// Инициализация
scheduleNextTip();

system.runInterval(() => {
    try {
        if (system.currentTick >= nextTipTime) {
            // Выбираем случайную подсказку
            const randomTip = TIPS[Math.floor(Math.random() * TIPS.length)];

            // Отправляем всем игрокам
            for (const player of world.getPlayers()) {
                if (!player.hasTag("no_tips")) {
                    player.sendMessage(`§6[TIP] §f${randomTip}`);
                }
            }

            // Планируем следующую подсказку
            scheduleNextTip();
        }
    } catch (e) {
        console.error(`[Tip System] Ошибка: ${e}`);
        console.error(`[Tip System] ${e.stack}`);
    }
}, TICKS_PER_SECOND); // Проверяем каждую секунду